LINK {base} | R Documentation

## Create Executable Programs

### Description

Front-end for creating executable programs.

### Usage

    R CMD LINK [options] linkcmd

### Arguments

`linkcmd` | a list of commands to link together suitable object files (include library objects) to create the executable program.
`options` | further options to control the linking, or for obtaining information about usage and version.

### Details

The linker front-end is useful in particular when linking against the R shared library, in which case `linkcmd` must contain `-lR` but need not specify its library path.

Currently only works if the C compiler is used for linking, and no C++ code is used.

Use `R CMD LINK --help` for more usage information.

[Package Contents]